Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QListBoxText Class Reference

The QListBoxText class provides list box items that display text. More...

`#include <qlistbox.h>`

Inherits QListBoxItem.

List of all member functions.

## Public Members

- QListBoxText ( QListBox * listbox, const QString & text = QString::null )
- QListBoxText ( const QString & text = QString::null )
- QListBoxText ( QListBox * listbox, const QString & text, QListBoxItem * after )
- ~QListBoxText ()
- virtual int height ( const QListBox * lb ) const
- virtual int width ( const QListBox * lb ) const

## Protected Members

- virtual void paint ( QPainter * painter )

## Detailed Description

The QListBoxText class provides list box items that display text.

The text is drawn in the widget's current font. If you need several different fonts, you must implement your own subclass of QListBoxItem.

See also QListBox, QListBoxItem and Advanced Widgets.

## Member Function Documentation

### QListBoxText::QListBoxText ( QListBox * listbox, const QString & text = QString::null )

Constructs a list box item in list box listbox showing the text text.

### QListBoxText::QListBoxText ( const QString & text = QString::null )

Constructs a list box item showing the text text.

### QListBoxText::QListBoxText ( QListBox * listbox, const QString & text, QListBoxItem * after )

Constructs a list box item in list box listbox showing the text text. The item gets inserted after the item after.

### QListBoxText::~QListBoxText ()

Destroys the item.

### int QListBoxText::height ( const QListBox * lb ) const`[virtual]`

Returns the height of a line of text in list box lb.

See also paint() and width().

Reimplemented from QListBoxItem.

### void QListBoxText::paint ( QPainter * painter )`[virtual protected]`

Draws the text using painter.

Reimplemented from QListBoxItem.

### int QListBoxText::width ( const QListBox * lb ) const`[virtual]`

Returns the width of this line in list box lb.

See also paint() and height().

Reimplemented from QListBoxItem.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.